#
# spec file for package python-google-cloud-secret-manager
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-google-cloud-secret-manager
Version:        2.23.3
Release:        1.1
Summary:        Google Cloud Secret Manager API client library
License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python/tree/main/packages/google-cloud-secret-manager
Source:         https://files.pythonhosted.org/packages/source/g/google-cloud-secret-manager/google_cloud_secret_manager-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest-asyncio}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-google-api-core >= 1.34.1
Requires:       python-grpc-google-iam-v1 >= 0.14.0
Requires:       python-proto-plus >= 1.25.0
Requires:       python-protobuf >= 3.20.2
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module google-api-core >= 1.34.1}
BuildRequires:  %{python_module grpc-google-iam-v1 >= 0.14.0}
BuildRequires:  %{python_module proto-plus >= 1.25.0}
BuildRequires:  %{python_module protobuf >= 3.20.2}
# /SECTION
%python_subpackages

%description
Google Cloud Secret Manager API client library

%prep
%autosetup -p1 -n google_cloud_secret_manager-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/google/cloud/secretmanager*
%{python_sitelib}/google_cloud_secret_manager-%{version}.dist-info

%changelog
* Fri Apr 25 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 2.23.3
  * Various documentation clarifications (#13796)
* Thu Apr 24 2025 Steve Kowalik <steven.kowalik@suse.com>
- Update to 2.23.2:
  * Features
    + Add REST Interceptors which support reading metadata
    + Add support for reading selective GAPIC generation methods from service
    YAML
    + Add support for opt-in debug logging
    + Add support for Python 3.13
  * Bug Fixes
    + [Many APIs] Allow Protobuf 6.x
    + remove setup.cfg configuration for creating universal wheels
    + deps: Require grpc-google-iam-v1>=0.14.0
    + Fix typing issue with gRPC metadata when key ends in -bin
    + disable universe-domain validation
    + Retry and timeout values do not propagate in requests during pagination
    + Allow Protobuf 5.x
* Fri May 10 2024 Dirk Müller <dmueller@suse.com>
- update to 2.20.0:
  * Add Secret Version Delayed Destroy changes for client libraries
  * Users can now enable secret version delayed destruction
* Sun Apr  7 2024 Dirk Müller <dmueller@suse.com>
- update to 2.19.0:
  * clients for SecretManager API v1beta2
  * Exclude google-auth 2.24.0 and 2.25.0
  * Require google-api-core>=1.34.1
  * fix ValueError in test__validate_universe_domain
  * Add google-auth as a direct dependency
  * Add staticmethod decorator to _get_client_cert_source and
    _get_api_endpoint
  * Resolve AttributeError 'Credentials' object has no attribute
    'universe_domain'
  * Allow users to explicitly configure universe domain
* Sun Dec 17 2023 Dirk Müller <dmueller@suse.com>
- run tests
* Wed Dec 13 2023 Daniel Garcia <daniel.garcia@suse.com>
- Initial version 2.17.0 (jsc#PED-6697)
